Darian
Lanx

    content@openprojects.net

25-04-2001
0.01.01
KBuildSycoca
8

# Description

Reconstruit le cache de la configuration du système.

## Synopsis

    kbuildsycoca  --nosignal --incremental --help --help-qt --help-kde --help-all --author -v, --version --license

## Description

`kbuildsyscoca`, faisant partie des outils en ligne de commande de &kde;, assure le fonctionnement correct de &kde; en lisant tous les fichiers `.desktop`, `.directory`, `.kimgio` et `.protocol` pour construire une base de données binaire.

&kde; lui-même accède à cette base de données pendant son fonctionnement pour fournir les informations dont un programme a besoin pour fonctionner.

Cet outils fait partie de ksyscoca, qui signifie &kde; System Configuration Cache (cache de la configuration du système de &kde;).

## Options

`--nosignal`

  N'envoie pas de signal aux applications

`--incremental`

  Mise à jour incrémentale

`--help`

  Affiche l'aide à propos des options

`--help-qt`

  Montre les options spécifiques à Qt

`--help-kde`

  Montre les options spécifiques à KDE

`--help-all`

  Montre toutes les options

`--author`

  Affiche les informations sur l'auteur

`--version`

  Affiche les informations sur la version

`--license`

  Affiche les informations sur la licence

## Utilisation

Une façon standard d'exécuter ce programme est de spécifier simplement la commande suivante dans une console : ``kbuildsyscoca``

## Fichiers

`/tmp/kde-$USER/ksyscoca`

  ...

## Variables d'environnement

$`KDEDIRS`

  Spécifie les dossiers d'installation de KDE

## Voir également

ksycoca(3), kblah(4), knogga(6)

## Bogues

Il n'y a pas de bogues connus à la date de l'écriture de ce document.